#if !defined(AFX_GROUPPROPS_H__3D271E93_9260_4A1A_B202_400525DA8B16__INCLUDED_)
#define AFX_GROUPPROPS_H__3D271E93_9260_4A1A_B202_400525DA8B16__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GroupProps.h : header file
//

#include "PanelDlg.h"
class GUIObjectList;
/////////////////////////////////////////////////////////////////////////////
// CGroupProps dialog
class UndoCommand;

class CGroupProps : public CPanelDlg
{
// Construction
public:
	CGroupProps(GUIObjectList *gobj,UndoCommand **cmd,CWnd* pParent = NULL);   // standard constructor
	GUIObjectList *MyList;
	UndoCommand **CmdLst;
	// Dialog Data
	//{{AFX_DATA(CGroupProps)
	enum { IDD = IDD_GROUPPROPS };
	CListBox	m_MemList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGroupProps)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void DoOK();
	void DoCancel();

	// Generated message map functions
	//{{AFX_MSG(CGroupProps)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel() {}

	afx_msg void OnDblclkMemberlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GROUPPROPS_H__3D271E93_9260_4A1A_B202_400525DA8B16__INCLUDED_)
